package com.sztzjy.util;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;

/**
 * 对ResponseEntity做了简单包装
 *
 */
@ApiModel("API返回对象")
@Getter
public class ResultEntity<T> extends ResponseEntity<ResultDataEntity<T>> {
    public ResultEntity(T data) {
        super(new ResultDataEntity<>(HttpStatus.OK, data), HttpStatus.OK);
    }

    public ResultEntity(HttpStatus status, T data) {
        super(new ResultDataEntity<>(status, data), status);
    }

    public ResultEntity(HttpStatus status, String msg, T data) {
        super(new ResultDataEntity<>(status, msg, data), status);
    }

    public ResultEntity(String msg) {
        super(new ResultDataEntity<>(HttpStatus.OK, msg), HttpStatus.OK);
    }

    public ResultEntity(HttpStatus status, String msg) {
        super(new ResultDataEntity<>(status, msg), status);
    }

    public ResultEntity(HttpStatus status) {
        super(new ResultDataEntity<>(status), status);
    }
}
