package com.sztzjy.util.excel;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * Excel通用数据对象封装  若需要复杂表头和更多样式等、需定义导出模板
 */
@Getter
public class ExcelData {
    private List<List<String>> contents;

    private ExcelData() {
        this.contents = new ArrayList<>();
    }

    public ExcelData addRow(List<Object> rowData) {
        List<String> dataList = rowData.stream().map(i -> i == null ? null : i.toString()).collect(Collectors.toList());
        this.contents.add(dataList);
        return this;
    }

    /**
     * 创建无标题文档
     *
     * @return /
     */
    public static ExcelData create() {
        return ExcelData.create(null);
    }

    /**
     * 创建有标题文档
     *
     * @param titleList 内容|标题
     * @return 数据对象
     */
    public static ExcelData create(List<String> titleList) {
        ExcelData excelData = new ExcelData();
        if (titleList != null && !titleList.isEmpty())
            excelData.contents.add(titleList);
        return excelData;
    }
}